import java.io.*;
import java.util.*;
import java.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

import biblio.*;

/**
 * ServletQuery. Esempio di Servlet che si connette alla base di dati ed
 * esegue una semplice interrogazione.
 */

public class ServletGeneri extends HttpServlet {
    private DBMS dbms;

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response) 
        throws IOException, ServletException {

	// Creiamo l'oggetto per la connessione
	try{
	    dbms = new DBMS();
	Vector generi = dbms.getGeneri();  

        	PrintWriter out = response.getWriter();
	response.setContentType("text/html; charset=ISO-8859-1");
        
	out.println("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"");
	out.println("      \"http://www.w3.org/TR/REC-html40/loose.dtd\">");


        	out.println("<html>");
        	out.println("<head>");
    	out.println("<title>Dischi on line</title>");
        	out.println("</head>");
        	out.println("<body>");
        	out.println("<h1>Generi dischi disponibili:</h1>");
        
	// Ciclo per visualizzare tutti i generi

	for (int i=0; i<generi.size(); i++) {
	      GenereBean gb =(GenereBean) generi.get(i);
	    
	     out.println(gb.getCodiceGenere() + " - " + gb.getDescrizione() + "<br>");
	}
        
        	out.println("</body>");
        	out.println("</html>");       
	}catch(ClassNotFoundException cnfe){
}    
}



    
}
